# -*- coding: utf-8 -*-
from enigma import getDesktop
from Screens.Screen import Screen
from Components.ActionMap import NumberActionMap
from Components.Button import Button
from Components.Label import Label

screensize = getDesktop(0).size().height()


class bpinfoscreen(Screen):
    if screensize == 720:
        skin = '''<screen title="Info/Help" position="center,center" size="1000,570" >
		<widget name="key_red" position="0,10" size="250,24" font="Regular;18" halign="center" foregroundColor="white" zPosition="2" transparent="1" />
             	<eLabel name="button_red" position="0,0" size="250,8" backgroundColor="red" zPosition="1" />	
                <eLabel name="button_green" position="250,0" size="250,8" backgroundColor="green" zPosition="1" />
               	<eLabel name="button_yellow" position="500,0" size="250,8" backgroundColor="yellow" zPosition="1" />
      	     	<eLabel name="blue" position="750,0" size="250,8" backgroundColor="blue" zPosition="1" />
		<widget name="Wichtig" position="20,35" zPosition="2" size="960,45"  halign="center" valign="center" font="Regular;18" transparent="0" backgroundColor="#00202020" foregroundColor="white" />       
		<widget name="info_use" position="20,85" zPosition="2" size="500,25"  halign="center" valign="center" font="Regular;21" transparent="0" backgroundColor="yellow" foregroundColor="#00202020" /> 
		<widget name="info_use1" position="20,115" zPosition="2" size="500,245"  halign="center" font="Regular;17" transparent="0" backgroundColor="#00202020" foregroundColor="white" /> 
		<eLabel name="Oscam" position="20,120" zPosition="3" size="500,40" halign="center" font="Regular;19" transparent="1" backgroundColor="#00202020" foregroundColor="white" text= "Welche OScam?"/> 
		<eLabel name="Oscam1" position="20,200" zPosition="3" size="500,40" halign="center" font="Regular;19" transparent="1" backgroundColor="#00202020" foregroundColor="white" text= "Was bedeuten die Endungen?"/>
		<eLabel name="Oscam2" position="20,280" zPosition="3" size="500,40" halign="center" font="Regular;19" transparent="1" backgroundColor="#00202020" foregroundColor="white" text= "Was bedeuten die Zahlen?"/>
		<widget name="info_use2" position="20,365" zPosition="2" size="500,25"  halign="center" valign="center" font="Regular;21" transparent="0" backgroundColor="#002c8366" foregroundColor="white" /> 
		<eLabel name="Config" position="20,400" zPosition="3" size="500,25" halign="center" font="Regular;19" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Welche Konfigurationsdatei benötige ich?"/>
		<widget name="info_use3" position="20,395" zPosition="2" size="500,100"  halign="center" font="Regular;17" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<widget name="info_use4" position="525,85" zPosition="2" size="455,25"  halign="center" valign="center" font="Regular;21" transparent="0" backgroundColor="#00275c90" foregroundColor="white" />
		<eLabel name="CCcam" position="525,120" zPosition="3" size="455,40" halign="center" font="Regular;19" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Welche CCcam?"/>
		<widget name="info_use5" position="525,115" zPosition="2" size="455,140"  halign="center" font="Regular;17" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<widget name="info_use6" position="525,260" zPosition="2" size="455,25"  halign="center" valign="center" font="Regular;21" transparent="0" backgroundColor="#0096a13d" foregroundColor="white" />
		<widget name="info_use7" position="525,290" zPosition="2" size="455,70"  halign="center" font="Regular;17" transparent="0" backgroundColor="#00202020" foregroundColor="white" /> 
		<widget name="info_use8" position="525,365" zPosition="2" size="455,25"  halign="center" valign="center" font="Regular;21" transparent="0" backgroundColor="#0096314c" foregroundColor="white" />
		<widget name="info_use9" position="525,395" zPosition="2" size="455,100"  halign="center" font="Regular;17" transparent="0" backgroundColor="#00202020" foregroundColor="white" /> 
		<widget name="forum" position="20,500" zPosition="2" size="960,25"  halign="center" valign="center" font="Regular;18" transparent="0" backgroundColor="#00202020" foregroundColor="white" /> 
		</screen>'''
    if screensize == 1080:
        skin = '''<screen title="Info/Help" position="center,center" size="1480,830" >
		<widget name="key_red" position="0,15" size="370,28" font="Regular;25" halign="center" foregroundColor="white" zPosition="2" transparent="1" />
            	<eLabel name="button_red" position="0,0" size="370,10" backgroundColor="red" zPosition="1" />		
            	<eLabel name="button_green" position="370,0" size="370,10" backgroundColor="green" zPosition="1" />            
            	<eLabel name="button_yellow" position="740,0" size="370,10" backgroundColor="yellow" zPosition="1" />
            	<eLabel name="blue" position="1110,0" size="370,10" backgroundColor="blue" zPosition="1" />
		<widget name="Wichtig" position="20,50" zPosition="2" size="1440,75"  halign="center" valign="center" font="Regular;30" transparent="0" backgroundColor="#00202020"  foregroundColor="white" />       
		<widget name="info_use" position="20,135" zPosition="2" size="720,40"  halign="center" valign="center" font="Regular;34" transparent="0" backgroundColor="yellow" foregroundColor="#00202020" /> 
		<widget name="info_use1" position="20,185" zPosition="2" size="720,355"  halign="center" font="Regular;25" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<eLabel name="Oscam" position="20,190" zPosition="3" size="720,40" halign="center" font="Regular;30" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Welche OScam?"/> 
		<eLabel name="Oscam1" position="20,305" zPosition="3" size="720,40" halign="center" font="Regular;30" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Was bedeuten die Endungen?"/>
		<eLabel name="Oscam2" position="20,420" zPosition="3" size="720,40" halign="center" font="Regular;30" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Was bedeuten die Zahlen?"/>
		<widget name="info_use2" position="20,550" zPosition="2" size="720,40"  halign="center" valign="center" font="Regular;34" transparent="0" backgroundColor="#002c8366" foregroundColor="white" /> 
		<eLabel name="Config" position="20,605" zPosition="3" size="720,40" halign="center" font="Regular;30" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Welche Konfigurationsdatei benötige ich?"/>
		<widget name="info_use3" position="20,600" zPosition="2" size="720,135"  halign="center" font="Regular;25" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<widget name="info_use4" position="750,135" zPosition="2" size="710,40"  halign="center" valign="center" font="Regular;34" transparent="0" backgroundColor="#00275c90" foregroundColor="white" />
		<eLabel name="CCcam" position="750,190" zPosition="3" size="710,40" halign="center" font="Regular;30" transparent="1" backgroundColor="#00202020"  foregroundColor="white" text= "Welche CCcam?"/>
		<widget name="info_use5" position="750,185" zPosition="2" size="710,195"  halign="center" font="Regular;25" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<widget name="info_use6" position="750,390" zPosition="2" size="710,40"  halign="center" valign="center" font="Regular;34" transparent="0" backgroundColor="#0096a13d" foregroundColor="white" />
		<widget name="info_use7" position="750,440" zPosition="2" size="710,100"  halign="center" font="Regular;25" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<widget name="info_use8" position="750,550" zPosition="2" size="710,40"  halign="center" valign="center" font="Regular;34" transparent="0" backgroundColor="#0096314c" foregroundColor="white" />
		<widget name="info_use9" position="750,600" zPosition="2" size="710,135"  halign="center" font="Regular;25" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		<widget name="forum" position="20,745" zPosition="2" size="1440,40"  halign="center" valign="center" font="Regular;30" transparent="0" backgroundColor="#00202020"  foregroundColor="white" /> 
		</screen>'''

    def __init__(self, session):
        Screen.__init__(self, session)
        self['key_red'] = Button(_('Exit'))
        self['Wichtig'] = Label("") #Label(_('Wichtig!!! Nach dem Installieren einer Cam, einmal das Plugin verlassen, erst dann kannst du das Cam auswählen oder Starten.'))
        self['info_use'] = Label(_('OScam'))
        self['info_use1'] = Label(_('\n\n Die Liste zeigt nur Softcams, passend zu eurer Box. Bleibt diese leer, kann der Filter mit gelb ausgeschaltet werden\n\n\nlibusb = Externe Reader\nemu = Emulator\n\n\nDas sind die Versions Nummern, die Version mit der höchsten Nummer ist die neuste.'))
        self['info_use2'] = Label(_('Configs'))
        self['info_use3'] = Label(_('\n\n Die passenden zu deiner Smartcard.\n Wichtig!!! Nach der Installation der Configs, Box neustarten!'))
        self['info_use4'] = Label(_('CCcam'))
        self['forum'] = Label(_('Falls doch noch irgendwas Unklar sein sollte, frage einfach im Forum nach. '))
        self['info_use5'] = Label(_('\n\nenigma2-cam-armv7-cccam-2.3.1 = UHD Boxen\n\nAlle anderen Boxen können die anderen CCcam Versionen verwenden. '))
        self['info_use6'] = Label(_('Picons'))
        self['info_use7'] = Label(_('\nHier kannst du dir die Picons zum Boxpirates Panel Downloaden.'))
        self['info_use8'] = Label(_('Was gibt es noch?'))
        self['info_use9'] = Label(_('Wir haben noch weitere Cams mit an Board, wie...\nGbox, MGcamd, Camd3 und Scam.\nAuch für diese Cams gibt es wieder unterschiedliche Versionen zum downloaden.'))
        self['actions'] = NumberActionMap(['ColorActions', 'CiSelectionActions', 'WizardActions', 'SetupActions'], {'back': self.cancel, 'red': self.close}, -1)

    def cancel(self):
        self.close()
